#
# To build against different kernel use: --define "kernel_version VERSION-RELEASE"
#

Name: qla2xxx
License: GPL
Group: System/Kernel
Summary: Replacement driver for QLogic cards.
Version: 8.02.23
Release: 1%{?dist}
Packager: Jaroslaw Polok <jaroslaw.polok@cern.ch>
Vendor: CERN, http://cern.ch/linux
Source0: %{name}-src-v%{version}.tar.gz
Source1: %{name}-depmod.conf
Source2: README.%{name}
Source3: RELEASE.%{name}
Source1111: slc-kmodtool
BuildRoot: %{_tmppath}/%{name}-%{version}-build
Requires: %{name}-kmod
Provides: %{name}-kmod-common = %{?epoch:%{epoch}:}%{version}

Source1111: slc-kmodtool
BuildRequires: %kernel_module_package_buildreqs

%define upvar default
%ifarch i686
%define paevar PAE
%endif
%ifarch i686 ia64 x86_64
%define xenvar xen
%endif

%kernel_module_package -s %{SOURCE1111} %{?upvar} %{?xenvar} %{?paevar}

%description
Replacement driver for QLogic 2xxx cards.

This driver replaces in-kernel %{name}  
by its updated version: %{version}

%prep
%setup -n %{name}-%{version}/
set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
cp %{SOURCE2} .
cp %{SOURCE3} .
cp source/revision.notes .
cp source/LICENSE.qla2xxx .

cp -v source/extras/intermodule* source/
echo "obj-m += intermodule.o" >> source/Makefile

for flavor in %flavors_to_build ; do
   rm -rf obj/$flavor
   cp -r source obj/$flavor
   make -C %{kernel_source $flavor} M=$PWD/obj/$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=extra/%{name}
for flavor in %flavors_to_build ; do 
   make -C %{kernel_source $flavor} modules_install \
           M=$PWD/obj/$flavor
done

install -d -m0755 $RPM_BUILD_ROOT/%{_sysconfdir}/depmod.d/
install -m0644 %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/depmod.d/%{name}.conf

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.%{name} revision.notes README.%{name} RELEASE.%{name}
%config(noreplace) %{_sysconfdir}/depmod.d/%{name}.conf

%changelog
* Wed Aug 13 2009 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- initial package 
- packaging changed to DUP: http://driverupdateprogram.com/
